Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.entity
Class PortletApplicationEntityImpl

    java.lang.Object
      org.jasig.portal.container.om.entity.PortletApplicationEntityImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.entity.PortletApplicationEntity, org.apache.pluto.om.Model

    public class PortletApplicationEntityImpl

extends java.lang.Object
implements org.apache.pluto.om.entity.PortletApplicationEntity, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private org.apache.pluto.om.portlet.PortletApplicationDefinition` | `definition`
`private org.apache.pluto.om.common.ObjectID` | `objectId`
`private org.apache.pluto.om.entity.PortletEntityList` | `portletEntities`

Constructor Summary
`PortletApplicationEntityImpl()`

Method Summary
`org.apache.pluto.om.common.ObjectID` | `getId()`
`org.apache.pluto.om.portlet.PortletApplicationDefinition` | `getPortletApplicationDefinition()`
`org.apache.pluto.om.entity.PortletEntityList` | `getPortletEntityList()`
`void` | `setId(java.lang.String id)`
`void` | `setPortletApplicationDefinition(org.apache.pluto.om.portlet.PortletApplicationDefinition definition)`
`void` | `setPortletEntityList(org.apache.pluto.om.entity.PortletEntityList portletEntities)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objectId

    private org.apache.pluto.om.common.ObjectID objectId

### portletEntities

    private org.apache.pluto.om.entity.PortletEntityList portletEntities

### definition

    private org.apache.pluto.om.portlet.PortletApplicationDefinition definition

Constructor Detail

### PortletApplicationEntityImpl

    public PortletApplicationEntityImpl()

Method Detail

### getId

    public org.apache.pluto.om.common.ObjectID getId()

  Specified by:
    `getId` in interface `org.apache.pluto.om.entity.PortletApplicationEntity`

### getPortletEntityList

    public org.apache.pluto.om.entity.PortletEntityList getPortletEntityList()

  Specified by:
    `getPortletEntityList` in interface `org.apache.pluto.om.entity.PortletApplicationEntity`

### getPortletApplicationDefinition

    public org.apache.pluto.om.portlet.PortletApplicationDefinition getPortletApplicationDefinition()

  Specified by:
    `getPortletApplicationDefinition` in interface `org.apache.pluto.om.entity.PortletApplicationEntity`

### setId

    public void setId(java.lang.String id)

### setPortletEntityList

    public void setPortletEntityList(org.apache.pluto.om.entity.PortletEntityList portletEntities)

### setPortletApplicationDefinition

    public void setPortletApplicationDefinition(org.apache.pluto.om.portlet.PortletApplicationDefinition definition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD